// If your presentation is longer than 200 slides,
// you could change the array size below.
filename = new Array(200);

first_slide = 0;
last_slide = 0;
current_slide = 1;
slides_inserted = 0;
slides_deleted = 0;
show_slide_filename = 0;


/* function AddSlide adds a slide to the presentation at the end.      */
/*                                                                     */
/* parameter name is the name of the file, without the .htm extension. */

function AddSlide(name)
{
	last_slide++;
	if(name == null) name = last_slide-slides_inserted+slides_deleted;
	else {
		slides_inserted++;
	}
	filename[last_slide] = name + ".htm";
}


// DON'T EDIT ANY OF THE TEXT ABOVE THIS LINE!!!
// It's source code you don't need to touch and should not touch.
//
// To add, delete, and reorder slides, 
// just add, delete, and reorder the AddSlide("FILENAME")
// entries below.  Each name in double quotes is the name
// of an HTML file in this presentation directory.
//
// If you want to include an HTML file which is in a subdirectory,
// separate the subdirectory name and the HTML file name with a
// forward slash like this: AddSlide("DIRECTORYNAME/FILENAME")
// (This works fine across platforms, even on Windows.) 
//
// Within the quotes, don't include an extension like .htm or .html.
// This application automatically adds .htm to the name when it
// looks in the directory for the file.  In the directory, the
// HTML file *must* have the three letter extension .htm.


// Means the preso is being set for placement on the web
// to be viewed directly (with no human speaker) by the end user.
var online = false


// Running online as Visual Tutorial with explanatory text.
var tutorialMode = false


// Keep these first three slides (Logopage, Title, S_agenda)
// in your presentation so we have a standard look and feel.
// (Edit the contents of the Title and S_agenda slide.)

if (!online) { AddSlide("logopage"); }

// Add *either* the tutorial title page or the presentation
// title page, depending on whether we're running in tutorialMode.
if (tutorialMode) { AddSlide("titletut"); }
else { AddSlide("title"); }	// title slide

if (tutorialMode || online ) { AddSlide("howto"); }
if (tutorialMode) { AddSlide("howtotu2"); }
else if (online) { AddSlide("howto2"); }

//AddSlide("s_agenda");   // agenda slide
//Bill's JS Presentation
AddSlide("js_agenda1");	//agenda slide (hilite 1)
AddSlide("js_what1"); //JavaScript Is...
AddSlide("js_what2"); //JavaScript Allows...
AddSlide("js_what3"); //JavaScript Can...
AddSlide("js_what4"); //JavaScript History
AddSlide("js_what5"); //JavaScript Tools
AddSlide("js_what6"); //Why JavaScript

AddSlide("js_agenda2");	//agenda slide (hilite 2)
AddSlide("js_core1"); //Basic Rules
AddSlide("js_core2"); //Variables
AddSlide("js_core3"); //Data Types
AddSlide("js_core4"); //Operators
AddSlide("js_core5"); //Statements
AddSlide("js_core6"); //Statements2
AddSlide("js_core7"); //Function
AddSlide("js_core8"); //Function Example
AddSlide("js_core9"); //Function Special
AddSlide("js_core10"); //Objects
AddSlide("js_core11"); //Creating Objects
AddSlide("js_core12"); //Object Example
AddSlide("js_core13"); //Creating Methods
AddSlide("js_core14"); //Method expansion
AddSlide("js_core15"); //Arrays

AddSlide("js_agenda3");	//agenda slide (hilite 3)
AddSlide("js_client1"); //CSJS
AddSlide("js_client2"); //Embedding CSJS
AddSlide("js_client3"); //Launch Hello World
AddSlide("js_client4"); //Hello World Code
AddSlide("js_dom1"); //Document Object Model
AddSlide("js_dom2"); //Document Object Model Pt2
AddSlide("js_client5"); //Launch Form Feedback
AddSlide("js_client6"); //Launch Animation

AddSlide("js_agenda4");	//agenda slide (hilite 4)
AddSlide("js_next1");	//LiveConnect
AddSlide("js_next2");	//Signed Scripts
AddSlide("js_next3");	//Signed Scripts cont.
AddSlide("js_next4");	//VJS
AddSlide("js_next5");   //DHTML

// sample slides -- cut these out when you make your own presentation!!!



// Keep this last slide (logopage) in your presentation 
// so every presentation ends with the logo.

AddSlide("logopage");	// 






